Skip to Content
inclamoDocs

Create a contact

POST
/public/api/v1/inboxes/{inbox_identifier}/contacts

Create a contact

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

Request Body

application/json
  1. body
identifier?string

External identifier of the contact

identifier_hash?string

Identifier hash prepared for HMAC authentication

email?string

Email of the contact

name?string

Name of the contact

phone_number?string

Phone number of the contact

avatar?file

Send the form data with the avatar image binary or use the avatar_url

Formatbinary
custom_attributes?

Custom attributes of the customer

Response Body

Success

application/json
  1. response
id?integer

Id of the contact

source_id?string

The session identifier of the contact

name?|

Name of the contact when available

email?|

Email of the contact

phone_number?|

Phone number of the contact

pubsub_token?string

The token to be used to connect to chatwoot websocket

Example Request
curl -X POST 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "source_id": "string",  "name": "string",  "email": "string",  "phone_number": "string",  "pubsub_token": "string"}